local M = {}

local sfx_source = nil

local function onInit()
    --Replace with your sound file
    local sound_file = "art/sound/stop_request.wav"

    --Initialize sound
    sfx_source = obj:createSFXSource(sound_file, "AudioDefault3D", "haltewunschBeep", 1)
end

local function playhaltewunschSound()
    if electrics.values.haltewunsch < 1 then
        obj:setVolume(sfx_source, 1)
        obj:playSFXOnce("haltewunschBeep", 0, 1, 1)
    else
        return
    end
end


M.onInit = onInit
M.playhaltewunschSound = playhaltewunschSound

return M