

angular.module('wentwardeu12mInfoDisplay', [])
  .controller('wentwardeu12mInfoController', function($scope, $interval, $window, $sce) {
    var vm = this;
    vm.test = "Hi"

    $interval(() => {
      var date = new Date(),
          hours = date.getHours(),
          minutes = date.getMinutes() < 10 ? ('0' + date.getMinutes()) : date.getMinutes(), // prepending 0 if current minute is less than 10
          seconds = date.getSeconds();
          if (seconds < 10) {
            seconds = seconds.toString().padStart(2, '0')
          } 

      vm.time = `${hours}:${minutes}:${seconds}`;
    }, 1000)

    function updateParkingbrake(data) {
      let pbrakeimage = document.getElementById("pbrake");
      if (data.electrics.parkingbrake > 0) {
        pbrakeimage.src = '../icons_display/pbrake.png';
      } else {
        pbrakeimage.src = '../icons_display/nothing.png';
      }
    }
    function updateGearDisplay(data) {
      let gearimage = document.getElementById("gear");
      if (data.electrics.gearindex > 0) {
        gearimage.src = '../icons_display/D.png';
      } else if (data.electrics.gearindex == 0){
        gearimage.src = '../icons_display/N.png';
      }
      else if (data.electrics.gearindex < 0){
        gearimage.src = '../icons_display/R.png';
      }
    }
    function updateDoorDisplay(data) {
      let doorimage = document.getElementById("doors");
      if (data.electrics.doorsopen > 0) {
        doorimage.src = '../icons_display/Bus_doors.png';
      } else {
        doorimage.src = '../icons_display/Bus_nodoors.png';
      }
    }
    function updateKneelDisplay(data) {
      let kneelimage = document.getElementById("kneel")
      if (data.electrics.kneel > 0) {
        kneelimage.src = '../icons_display/kneel_arrow.png'
      } else {
        kneelimage.src = '../icons_display/nothing.png'
      }
    }

    function updatehaltewunschDisplay(data) {
      let haltewunschimage = document.getElementById("haltewunsch")
      if (data.electrics.haltewunsch > 0) {
        haltewunschimage.src = '../icons_display/haltewunsch.png'
      } else {
        haltewunschimage.src = '../icons_display/nothing.png'
      }
    }

    function updateretarderDisplay(data) {
      let retarderimage = document.getElementById("retarder")
      if (data.electrics.retarder > 0) {
        retarderimage.src = '../icons_display/retarder.png'
      } else {
        retarderimage.src = '../icons_display/nothing.png'
      }
    }

    $window.updateData = (data) => {
      if (data) {
        //if(!ready){console.log("not ready");return;}

        updateParkingbrake(data)
        updateGearDisplay(data)
        updateDoorDisplay(data)
        updateKneelDisplay(data)
        updatehaltewunschDisplay(data)
        updateretarderDisplay(data)
      }
    }

  });